# $Revision: 1.13 $, $Date: 2007/02/12 22:09:12 $
%define		_modname	mcrypt_filter
%define		_status		beta
Summary:	%{_modname} - applies mcrypt symmetric encryption using stream filters
Summary(pl.UTF-8):	%{_modname} - symetryczne szyfrowanie za pomocą filtrów strumieni
Name:		php-pecl-%{_modname}
Version:	0.1.0
Release:	6
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	f0648aa92b518bfacc0c0be9e86d6bc9
URL:		http://pecl.php.net/package/mcrypt_filter/
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.344
%{?requires_php_extension}
Requires:	php-common >= 4:5.0.4
Obsoletes:	php-pear-%{_modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Creates mcrypt.* and mdecrypt.* class of filters for inline symmetric
encryption and decryption.

In PECL status of this extension is: %{_status}.

%description -l pl.UTF-8
To rozszerzenie tworzy klasy filtrów mcrypt.* i mdecrypt.* do
symetrycznego szyfrowania i odszyfrowywania strumieni.

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c

%build
cd %{_modname}-%{version}
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install %{_modname}-%{version}/modules/%{_modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{_modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-mcrypt_filter.spec,v $
Revision 1.13  2007/02/12 22:09:12  glen
- tabs in preamble

Revision 1.12  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.11  2007/01/02 19:49:05  glen
- use new php extension related macros

Revision 1.10  2006/12/13 22:51:05  glen
- rel 6 (php 5.2.0)

Revision 1.9  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.8  2005/12/22 12:12:04  glen
- rel 5 (rebuild with new php)

Revision 1.7  2005/10/30 13:29:27  glen
- rel 4

Revision 1.6  2005/10/29 00:05:14  glen
- rebuild with zts and debug requires

Revision 1.5  2005/09/14 22:22:01  glen
- rel 2

Revision 1.4  2005/09/14 13:37:00  glen
- conf.d and php api macros

Revision 1.3  2005/09/13 21:16:43  glen
- superfluous BR libtool removed

Revision 1.2  2005/03/21 21:21:24  qboosh
- fixed URL, pl cosmetics

Revision 1.1  2005/03/20 22:24:14  adamg
- new
